Package org.eclipse.emf.cdo.common.lock

# Interface CDOLockDelta

All Superinterfaces:
  `CDOBranchProvider`, `CDOIDAndBranch`, `CDOIdentifiable`

public interface CDOLockDelta extends CDOIDAndBranch

Since:
  4.15
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDOLockDelta.Kind`

## Method Summary

Modifier and Type
Method
Description
`CDOLockDelta.Kind`
`getKind()`
`CDOLockOwner`
`getNewOwner()`
`CDOLockOwner`
`getOldOwner()`
`Object`
`getTarget()`
`org.eclipse.net4j.util.concurrent.IRWLockManager.LockType`
`getType()`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOIDAndBranch

`getBranch`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

`getID`

## Method Details

### getTarget

Object getTarget()

### getType

org.eclipse.net4j.util.concurrent.IRWLockManager.LockType getType()

### getOldOwner

CDOLockOwner getOldOwner()

### getNewOwner

CDOLockOwner getNewOwner()

### getKind

CDOLockDelta.Kind getKind()